Skip to main content
GET
/
v1
/
topics
/
{topic_id}
/
companies
Companies most associated with a topic
curl --request GET \
  --url https://api.ivory.finance/v1/topics/{topic_id}/companies \
  --header 'X-API-Key: <api-key>'
{
  "topic_id": 123,
  "topic_name": "<string>",
  "topic_slug": "<string>",
  "companies": [
    {
      "cik": "<string>",
      "relevance": 123,
      "mentions": 123,
      "company_name": "<string>",
      "ticker": "<string>",
      "affinity": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

topic_id
integer
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
date_from
string<date> | null

Response

Successful Response

topic_id
integer
required
topic_name
string
required
topic_slug
string
required
companies
CompanyRow · object[]
required